;;; F3E_STUP.LSP for FelixCAD
;;; ====================================================================
;;; (C)opyright Felix Computer Aided Technologies GmbH 1995-97
;;; ====================================================================
;;; Release: English Version 3.01
;;; ====================================================================
;;; Created: Jan 23, 1996 vp
;;; Changed: Sep 30, 1996 vp
;;;          Jun 10, 1997 vp
;;; ====================================================================
;;;    Several commands loaded via this main lisp file are used in 
;;;    the pull-down menu and palettes of the program.
;;;
;;; Note: 
;;;    This file should be auto-loaded to provide the user with the
;;;    commands defined in programming interface files (Lisp or DDL
;;;    files). 
;;;
;;;    Auto-Loading of this Lisp file is guaranteed by the entry
;;;    "AutoLspLoad=" in the program's INI file.
;;;    It is required, that the file is located in the application
;;;    directory setting specified in the program's INI file.
;;; 
;;; ====================================================================


;;; ====================================================================
;;; First of all, save the built-in atoms-family to the global variable
;;;    FLX_ATOMS_FAMILY to allow Lisp programmers to evaluate
;;;    built-in, application specific, and user defined functions:

(if (/= (type FLX$ATOMS_FAMILY) 'LIST)
    (setq FLX$ATOMS_FAMILY (atoms-family 1))
)

;;; ====================================================================
;;; The global variable FLX$WIN controls the type of controls in dialogs

(setq FLX$WIN95 T) 

;;; ====================================================================
;;; Set default language to English

(setvar "LANGUAGE" 2)

;;; ====================================================================
;;; Set the global variable FLX$DIRECTORY, which is used to find the
;;; additional Lisp and Dialog Files relative to the kernel directory:

(setq startup_lispfile "f3e_stup.lsp")

(if (setq tmp (findfile (setq x startup_lispfile)))
    (setq FLX$DIRECTORY
          (strcat (substr tmp 1 (- (strlen tmp) (strlen x)) ) "utils\\")
    )
)

(setq startup_lispfile nil tmp nil x nil)

;;; ====================================================================
;;; Load the main FCAD Lisp file (flx_main.lsp), which provides
;;; additional Lisp defined commands in FCAD:

(if (not FLX_LOADLISP)
    (if (setq tmp (findfile (strcat FLX$DIRECTORY "flx_main.lsp")))
        (progn
           (princ "\nStartup... ")
           (load tmp)
           (princ "OK")
        )
    )
)
(setq tmp nil)

;;; ====================================================================

(defun C:SETUP()
    (command "UNITSETUP")
    (princ)
)

;;; ====================================================================
;;; If the file FC_BONUS.LSP is found in the application search path,
;;; load it ...

(if (setq tmp (findfile "fc_bonus.lsp")) (load tmp))
(setq tmp nil)

;;; ====================================================================
;;; If the file FRX_STUP.LSP is found in the application search path,
;;; load it ...

(if (setq tmp (findfile "frx_stup.lsp"))
    (load tmp)
    (defun C:RASTER()
      (alert "Raster Extension not installed")
    )
)
(setq tmp nil)

;;; ====================================================================

(princ)

